Bug 1299956 - launch-fusor-undercloud-installer Director IP defaults to invalid value
launch-fusor-undercloud-installer Director IP defaults to invalid value
Status: VERIFIED
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: fusor-installer (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity medium
: TP2
: 1.0
Assigned To: Dylan Murray
Dave Johnson
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-19 10:38 EST by Thom Carlin
Modified: 2016-04-29 12:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thom Carlin 2016-01-19 10:38:02 EST
Description of problem:

The default value for launch-fusor-undercloud-installer Director IP is 192.0.2.0 which is an invalid IP address.

Version-Release number of selected component (if applicable):

RHCIOOO-7-RHEL-7-20160118.t.2

How reproducible:

100%

Steps to Reproduce:
1. Install RHCS-I Triple O ISO
2. Log in to start launch-fusor-undercloud-installer
3.

Actual results:

Please specify the IP address of the OpenStack Director. Be sure that this IP is on the correct subnet. [192.0.2.0]

Expected results:

Please specify the IP address of the OpenStack Director. Be sure that this IP is on the correct subnet. [<valid ip on 192.0.2.0>]

Additional info:

Devs mentioned that 192.0.2.1 to .24 is reserved for other use
Comment 1 Dylan Murray 2016-01-19 13:46:00 EST
PR: https://github.com/fusor/fusor-undercloud-installer/pull/10

Changed default value to 192.0.2.254.
Comment 2 John Matthews 2016-01-22 15:19:55 EST
Compose of 1/22/16
Comment 3 Antonin Pagac 2016-01-27 08:24:58 EST
Verified.

RHCI-6.0-RHEL-7-20160126.7-RHCI-x86_64-dvd1.iso
RHCIOOO-7-RHEL-7-20160126.2-RHCIOOO-x86_64-dvd1.iso

Note You need to log in before you can comment on or make changes to this bug.